<?php

function get_html_typetag_selection(
  $typetags,
  $fieldname,
  $selecteds = array(),
  $forbidden_categories = null
  )
{
  global $conf;

  if (count ($typetags) == 0 )
  {
    return '';
  }
  $output = '<ul class="typetagSelection" style="list-style: none;">';
  foreach ($typetags as $typetag)
  {
    $output.=
      '<li style="margin-bottom: 3px;" >'
      .'<label>'
      .'<input type="checkbox" style="color:'. $typetag['color'].'" name="'.$fieldname.'[]"'
      .' value="'.$typetag['id'].'"'
      ;

    if (in_array($typetag['id'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      ' />'
      .'&nbsp;<input type="text" size="1" style="background-color:'. $typetag['color'].'">&nbsp;'. $typetag['name']
      .'</label>'
      .'</li>'
      ."\n"
      ;
  }
  $output.= '</ul>';

  return $output;
}


function get_all_typetags()
{
  $query = '
SELECT id,
       name,
       color       
  FROM '.typetags_TABLE.'
;';
  $result = pwg_query($query);
  $typetags = array();
  while ($row = mysql_fetch_assoc($result))
  {
    array_push($typetags, $row);
  }

  usort($typetags, 'typetags_name_compare');

  return $typetags;
}


function typetags_name_compare($a, $b)
{
  return strcmp(strtolower($a['name']), strtolower($b['name']));
}



function get_html_tag_dissociation(
  $tags,
  $fieldname,
  $selecteds = array(),
  $forbidden_categories = null
  )
{
  global $conf;

  if (count ($tags) == 0 )
  {
    return '';
  }
  $output = '<ul class="tagSelection">';
  foreach ($tags as $tag)
  {
    $output.=
      '<li style="margin-right: 10px;">'
      .'<label>'
      .'<input type="checkbox" name="'.$fieldname.'[]"'
      .' value="'.$tag['id'].'"'
      ;

    if (in_array($tag['id'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      ' />'
      .'</label>'
      .'<span style="color:'. $tag['color'].'; font-weight: bold;">'. $tag['name']. '</span>'
      .'</li>'
      ."\n"
      ;
  }
  $output.= '</ul>';

  return $output;
}


function get_all_xtags()
{
  $query = '
		  SELECT t.id , t.name, tt.color
		  FROM ' . TAGS_TABLE . ' as t 
		  LEFT JOIN ' .typetags_TABLE.' as tt
		  ON  t.id_typetags = tt.id
		  
		   ';
		$result = pwg_query($query);

$tags = array();

	while ($row = mysql_fetch_assoc($result))
          {
            array_push($tags, $row);		
            }


  usort($tags, 'tags_name_compare');

  return $tags;
}

function tags_name_compare($a, $b)
{
  return strcmp(strtolower($a['name']), strtolower($b['name']));
}



function get_html_tag_association(
  
  $tags,
  $fieldname,
  $selecteds = array(),
  $forbidden_categories = null
  )
{
  global $conf;

  if (count ($tags) == 0 )
  {
    return '';
  }
  $output = '<ul class="tagSelection">';
  foreach ($tags as $tag)
  {
    $output.=
      '<li style="margin-right: 10px;">'
      .'<label>'
      .'<input type="checkbox" name="'.$fieldname.'[]"'
      .' value="'.$tag['id'].'"'
      ;

    if (in_array($tag['id'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      ' />'
      .'</label>'
      .'<span style="color:'. $tag['color'].'; font-weight: bold;">'. $tag['name']. '</span>'
      .'</li>'
      ."\n"
      ;
  }
  $output.= '</ul>';

  return $output;
}
?>